# loki.transformations.single_column.tests.test_scc_vertical

Functions

`fixture_blocking`() |
`fixture_horizontal`() |
`fixture_horizontal_bounds_aliases`() |
`fixture_vertical`() |
`test_scc_fuse_verticals_transformation`(...) | Test somewhat more sophisticated example of vertical loop fusion and demotion of temporaries.
`test_simple_scc_fuse_verticals_transformation`(...) | Test simple example of vertical loop fusion and demotion of temporaries.

fixture_horizontal()

fixture_horizontal_bounds_aliases()

fixture_vertical()

fixture_blocking()

test_simple_scc_fuse_verticals_transformation(frontend, horizontal, vertical)

  Test simple example of vertical loop fusion and demotion of temporaries.

test_scc_fuse_verticals_transformation(frontend, horizontal, vertical, ignore)

  Test somewhat more sophisticated example of vertical loop fusion and demotion of temporaries.